REM Package procedures for block based on stored procedure

create or replace PACKAGE CustEmpP AS
  type cust_emp is record( 
    CUSTOMER_ID  CUSTOMERS.CUSTOMER_ID%TYPE,
    CUST_FIRST_NAME CUSTOMERS.CUST_FIRST_NAME%TYPE,
    CUST_LAST_NAME CUSTOMERS.CUST_LAST_NAME%TYPE,
    CREDIT_LIMIT CUSTOMERS.CREDIT_LIMIT%TYPE,
    CUST_EMAIL  CUSTOMERS.CUST_EMAIL%TYPE,
    EMPLOYEE_ID  EMPLOYEES.EMPLOYEE_ID%TYPE,
    LAST_NAME  EMPLOYEES.LAST_NAME%TYPE);

  type cust_emp_ref is ref cursor return cust_emp; 
  procedure query  (resultset in out cust_emp_ref); 
  
END;
/
create or replace PACKAGE BODY CustEmpP AS

  procedure query(resultset in out cust_emp_ref) is 
  begin 
    open resultset for 
       select c.CUSTOMER_ID, c.CUST_FIRST_NAME, c.CUST_LAST_NAME, c.CREDIT_LIMIT, c.CUST_EMAIL, e.EMPLOYEE_ID, e.LAST_NAME
       from employees e, customers c
       where e.EMPLOYEE_ID = c.ACCOUNT_MGR_ID; 
  end; 

END;
/
