
// Copyright (c) 2001 Oracle Corp
package oracle.forms.demos.enhancedItems;

import oracle.forms.properties.ID;

/**
 * <H3><FONT COLOR="#336699">Utility class for Insert/Replace PJCs for Oracle Forms</FONT></H3>
 * Utility class for Insert/Replace PJCs  This calls contains a few common static methods
 * but importantly also contains a shared variable which defines if we are in Insert or Replace mode
 * <br>
 * For more PJC Demos and White Papers see <a href="http://otn.oracle.com/products/forms" target="_blank">Forms on OTN</a>
 *
 * @version 9.0 06/Nov/2001<br>
 *
 * @author Duncan Mills
 */

public class InsertReplaceHelper extends Object
{

  /**
   * is the system in Replace mode?
   */
  public static boolean isReplaceMode = false;



  /**
   * Set the value of ReplaceMode
   */
  public static void setReplaceMode(boolean mode)
  {
    isReplaceMode = mode;
  }


  /**
   * Get the value of ReplaceMode
   */
  public static boolean getReplaceMode()
  {
    return isReplaceMode;
  }


  /**
   * Converts a string value containing TRUE or FALSE
   * as a string to the equivilent boolean
   *
   * @param value String containing the words True or false in any case or the Forms Constants PROPERTY_TRUE/PROPERTY_FALSE
   * @return boolean value of the value
   */

  protected final static boolean toBoolean(Object value, boolean defaultValue)
  {
     boolean RC = defaultValue;
     if (value.toString().equalsIgnoreCase("false")||value.toString().equals("5"))
        RC = false;
     else if (value.toString().equalsIgnoreCase("true")||value.toString().equals("4"))
        RC = true;
     return RC;
  }

  /**
   * A convenience function to use the ID.getName() method to get the text version of this pid
   * @param pid the property to display the name of
   * @return the property name
   */
  protected final static String getPropertyName(ID pid)
  {
    try
    {
      return pid.getName();
    }
    catch(Exception e)
    {
    }
    return null;
  }

}